## libvirt 5.2.0

=== debian/changelog ===
libvirt (5.2.0-2) experimental; urgency=medium

  [ Guido Günther ]
  * [1ec90c0] d/compat: Switch to debhelper level 12
      * [fb6dd18] d/rules: s/no-restart-on-upgrade/no-stop-on-upgrade/
      * [3764b71] d/rules: --prallel not needed anymore
      * [1d92095] d/control: Add ${misc:Pre-Depends} for
        libvirt-daemon-system. This makes sure we pull in recent enough
        init-system-helpers
  * [02a155b] d/rules: Switch to dh_installsystemd
    dh_systemd_start is no longer used.
  * [bcad111] d/control: Fix typo
  * [8609192] d/control: Drop Debian revision on iptables build-dep.  Any
    version greater than 1.8.1 will do.
  * [447dd58] libnss-libvirt: Install libnss_libvirt-guest as well
    (Closes: #910288)
  * [4fb7d11] d/control: Build-depend on libglusterfs-dev.
    Since this is a recent addition we can drop the versioned dependency.
    (Closes: #919663)
  * [7b4ffeb] d/rules: Newer debhelper puts the libs into multi arch dirs.
    There's no need to move them manually anymore.

  [ Andrea Bolognani ]
  * [dd9cdaa] Use HTTPS for all URLs.
    This gets rid of the debian-watch-uses-insecure-uri informational Lintian
    tag, and then some.
  * [faaec12] Minimize upstream's signing key.
    This gets rid of the public-upstream-key-not-minimal informational Lintian
    tag.
  * [8a0e6f1] Remove Priority field from binary packages.
    This gets rid of the binary-control-field-duplicates-source informational
    Lintian tag.

  [ Christian Ehrhardt ]
  * [08f3a23] d/libvirt-clients.manpages: add virkeycode and virkeyname man
    pages.
  * [0f359de] d/rules: mv logrotate files to silence dh_missing
  * [f36ca33] dh_missing: ignore warning on libtool .la file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Apr 2019 12:20:36 +0200

libvirt (5.2.0-1) experimental; urgency=medium

  * Team upload.

  [ Christian Ehrhardt ]
  * [3997186] d/libvirt-daemon-system.maintscript: remove obsolete conffile
    /etc/logrotate.d/libvirtd.uml became obsolete since UML was dropped in
    libvirt 5.0 (Closes: #920574)
  * [c64d020] d/libvirt-daemon-system.libvirtd.default: clarify libvirtd_opts
    example (Closes: #921713)

  [ Guido Günther ]
  * [dd9d74f] New upstream version 5.2.0
  * [790365e] CVE-2019-3886: Don't allow unprivileged users to use the guest
    agent. Apply upstream patches
    remote-enforce-ACL-write-permission-for-getting-guest-tim.patch
    api-disallow-virDomainGetHostname-for-read-only-connectio.patch
    (Closes: #926418)

  [ Andrea Bolognani ]
  * [453f85d] Rediff patches. The patches
    security-aa-helper-allow-virt-aa-helper-to-read-dev-dri.patch
    security-aa-helper-generate-more-rules-for-gl-devices.patch
    security-aa-helper-gl-devices-in-sysfs-at-arbitrary-depth.patch
    security-aa-helper-nvidia-rules-for-gl-devices.patch
    virt-aa-helper-generate-rules-for-gl-enabled-graphics-dev.patch
    are included in libvirt 5.2.0 and have thus been dropped.
  * [a4294ef] Bump symbol versions.
  * [68394f6] Add tests-Avoid-writing-into-HOME-during-virsh-snapshot.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 07 Apr 2019 18:39:49 +0200
