=== debian/watch ===
version=3

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//,pgpsigurlmangle=s/$/.asc/" \
    https://libvirt.org/sources/libvirt-([\d\.]+)(-rc\d)?\.tar\.[gx]z
