## libvirt 5.6.0

=== debian/changelog ===
libvirt (5.6.0-2) unstable; urgency=medium

  * Team upload.

  * [4dcbe93] Revert "Disable libvirtd socket activation" (Closes: #935883)
  * [b464de1] Add libvirtd sockets handling

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 28 Aug 2019 19:39:00 +0200

libvirt (5.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Guido Günther ]
  * [fb43676] d/control: Drop dh-autoreconf build-dep
  * [81d21d5] d/not-installed: Use multi-arch dirs
  * [07d5669] New upstream version 5.6.0
    Fixes CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091,
    CVE-2019-10132
    (Closes: #915107, #931243, #929334)
  * [9f38a9e] apparmor: Allow run pygrub
    (Closes: #931768)
  * Acknowledge NMU. Thanks Jonathan Wiltshire

  [ Christian Ehrhardt ]
  * [c28c3b3] d/libvirt0.install: install translations
  * [c3c4cd4] d/libvirt-daemon-system.install: drop in helper for firewalld
  * [3e8b43c] d/not-installed: ignore default files /etc/sysconfig
  * [c223d7f] d/libvirt-daemon-system.examples: ship sysctl config as example
  * [f19acf6] d/libvirt-daemon-system.install: ship libxl-sanlock.conf
    (Closes: #919484)
  * [483e44a] d/libvirt-doc.docs: fix whitespace issue
  * [4f4751f] d/libvirt-doc.docs: install new doc elements
  * [781e22e] d/not-installed: ignore documentation already being installed
  * [eda89b2] d/no-installed, d/libvirt-doc.docs: do not install fonts
  * [ab67a28] d/copyright: add license for docs/fonts/
  * [2e222a2] d/rules: strip symbolic-functions linker option
  * [39b658c] Revert "d/libvirt-daemon-system.install: ship
    libxl-sanlock.conf"
  * [ce46360] d/rules: install libxl-sanlock.conf dependent on xen being
    enabled

  [ Andrea Bolognani ]
  * [6a2eae3] Simplify and improve watch file
  * [82a1edc] Bump symbol versions
  * [73fccd9] Specify --doc-main-package for dh_installdocs
  * [d48fdf6] Rediff patches
  * [3b16c86] Bump symbol versions
  * [48c9b75] Drop Avahi support
  * [a49de91] Fix AppArmor profile for virt-aa-helper
  * [b8e92da] Disable libvirtd socket activation
  * [73d1e8c] Install kbase articles

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 25 Aug 2019 16:32:31 +0200
