=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 Build-Depends:
  bash-completion,
@@ -14,7 +13,6 @@
  zlib1g-dev,
  libgcrypt20-dev,
  libgnutls28-dev,
- libavahi-client-dev,
  libsasl2-dev,
  libxen-dev (>= 4.3) [i386 amd64 armhf arm64],
  lvm2 [linux-any],
@@ -34,16 +32,17 @@
  libnl-route-3-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
- libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
- numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
+ libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el],
+ numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el],
  radvd [linux-any],
+ libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
  libsanlock-dev [linux-any],
  libaudit-dev [linux-any],
  libselinux1-dev (>= 2.0.82) [linux-any],
  libapparmor-dev [linux-any],
  libdbus-1-dev [linux-any],
  nfs-common,
- systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x],
+ systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
  python,
  xsltproc,
  zfsutils [kfreebsd-amd64 kfreebsd-i386],
@@ -59,7 +58,7 @@
 # for lxc fuse support
  libfuse-dev [linux-any],
 # for libssh2 connection URIs
-# libssh2-1-dev,
+ libssh2-1-dev,
 # for qemu-bridge-helper
  qemu-system-common,
 # For "make check"
@@ -68,14 +67,11 @@
  dnsmasq-base,
  openssh-client,
  netcat-openbsd,
- ebtables [linux-any],
- iptables [linux-any],
+ iptables (>= 1.8.1) [linux-any],
  qemu-utils,
 Build-Conflicts: dpkg-dev (= 1.15.3)
-XS-Debian-Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
-Vcs-Git: https://git.launchpad.net/~usd-import-team/ubuntu/+source/libvirt
-Vcs-Browser: https://git.launchpad.net/~usd-import-team/ubuntu/+source/libvirt
+Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
 Homepage: https://libvirt.org/
 Standards-Version: 4.1.1
 
@@ -109,9 +105,9 @@
  qemu-kvm | qemu (>= 0.9.1),
  libxml2-utils,
  netcat-openbsd,
- libvirt-daemon-driver-storage-rbd,
 Suggests:
  libvirt-daemon-driver-storage-gluster,
+ libvirt-daemon-driver-storage-rbd,
  libvirt-daemon-driver-storage-zfs,
  libvirt-daemon-system,
  numad,
@@ -186,13 +182,12 @@
  lsb-base,
  libvirt-clients (= ${binary:Version}),
  libvirt-daemon (= ${binary:Version}),
- iptables (>= 1.4.10) [linux-any] | firewalld,
+ iptables (>= 1.8.1-1) [linux-any] | firewalld,
  logrotate,
  policykit-1,
 Recommends:
  dmidecode,
  dnsmasq-base (>= 2.46-1),
- ebtables [linux-any],
  iproute2,
  parted,
 Section: admin
@@ -206,7 +201,7 @@
  systemd,
  systemtap,
  zfsutils,
-Breaks: avahi-daemon (<< 0.6.31-3~),
+Breaks:
  systemd-sysv (<< 224-1~)
 Description: Libvirt daemon configuration files
  Libvirt is a C toolkit to interact with the virtualization capabilities
