=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,12 @@
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
   ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
     WITH_VBOX         = --with-vbox
+    FAIL_CHECK        = 1
   else
     WITH_VBOX         = --without-vbox
   endif
   ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 armhf arm64))
+    MAKE_CHECK        = 1
     WITH_XEN          = --with-xen
     WITH_LIBXL        = --with-libxl
     XEN_ENABLED       = 1
@@ -24,8 +26,6 @@
     WITH_XEN          = --without-xen
     WITH_LIBXL        = --without-libxl
   endif
-  MAKE_CHECK        = 1
-  FAIL_CHECK        = 1
   WITH_STORAGE_LVM    = --with-storage-lvm
   WITH_STORAGE_ISCSI  = --with-storage-iscsi
   WITH_STORAGE_DISK   =	--with-storage-disk
@@ -37,21 +37,21 @@
   WITH_MACVTAP        = --with-macvtap
   WITH_NETWORK        = --with-network
   WITH_OPENVZ         = --with-openvz
-  WITH_NETCF          = --without-netcf
+  WITH_NETCF          = --with-netcf
   WITH_SANLOCK        = --with-sanlock
   WITH_INIT_SCRIPT    =	--with-init-script=systemd
   WITH_SYSTEMD        = --with-systemd-daemon
-  WITH_FIREWALLD      = --without-firewalld
+  WITH_FIREWALLD      = --with-firewalld
   WITH_AUDIT          = --with-audit
   WITH_SELINUX        = --with-selinux --with-secdriver-selinux --with-selinux-mount=/sys/fs/selinux
   WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor --with-apparmor-profiles
   WITH_NSS_PLUGIN     = --with-nss-plugin
-  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc s390))
       WITH_DTRACE     = --with-dtrace
   else
       WITH_DTRACE     = --without-dtrace
   endif
-  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el s390x))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el))
       WITH_NUMA       = --with-numactl --with-numad
   else
       WITH_NUMA       = --without-numactl --without-numad
@@ -98,12 +98,11 @@
 	--disable-rpath          \
 	--with-qemu		 \
 	--with-qemu-user=libvirt-qemu  \
-	--with-qemu-group=kvm \
+	--with-qemu-group=libvirt-qemu \
 	$(WITH_OPENVZ)		 \
-	--with-avahi             \
 	--with-sasl              \
 	--with-yajl              \
-	--without-ssh2		 \
+	--with-ssh2		 \
 	--with-polkit		 \
 	$(WITH_UDEV)		 \
 	--with-storage-fs        \
@@ -140,6 +139,9 @@
         $(NULL)
 
 LIBVIRT_SYSTEM_SERVICES = \
+	libvirtd.socket \
+	libvirtd-ro.socket \
+	libvirtd-admin.socket \
 	libvirt-guests.service \
 	virtlogd.socket \
 	virtlogd-admin.socket \
@@ -158,8 +160,8 @@
 	dh $@ --builddirectory=$(DEB_BUILDDIR)
 
 override_dh_auto_configure:
-	IPTABLES_PATH=/sbin/iptables \
-	IP6TABLES_PATH=/sbin/ip6tables \
+	IPTABLES_PATH=/usr/sbin/iptables \
+	IP6TABLES_PATH=/usr/sbin/ip6tables \
 	EBTABLES_PATH=/usr/sbin/ebtables \
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS) $(shell dpkg-buildflags --export=configure)
 
@@ -174,17 +176,6 @@
 	fi
 
 override_dh_install-arch:
-	mkdir -p debian/tmp/usr/share/apport/package-hooks
-	cp -f debian/libvirt-daemon.apport \
-	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
-	# copy dnsmasq configuration
-	mkdir -p debian/tmp/etc/dnsmasq.d-available
-	cp debian/libvirt-daemon.dnsmasq \
-	   debian/tmp/etc/dnsmasq.d-available/libvirt-daemon
-	# Add profile script to automatically set default URI
-	mkdir -p debian/tmp/etc/profile.d
-	cp -f debian/libvirt-uri.sh debian/tmp/etc/profile.d/
-
 	dh_install
 
 	# Copy upstream files to debian/ so dh_* can find them
@@ -217,3 +208,16 @@
 	dh_install -p libnss-libvirt \
                       usr/lib/$(DEB_HOST_MULTIARCH)/libnss_libvirt*.so.2 \
                       lib/$(DEB_HOST_MULTIARCH)/
+endif
+ifeq ($(XEN_ENABLED), 1)
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl.conf
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl-lockd.conf
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl-sanlock.conf
+endif
+
+	set -e; for l in $(LOGROTATE); do \
+		mv $(CURDIR)/debian/tmp/etc/logrotate.d/$$l \
+	        debian/libvirt-daemon-system.$$l.logrotate; \
+		dh_installlogrotate --name=$$l;     \
+	done
+
